# $Revision: 1.22 $, $Date: 2009/11/04 16:18:22 $
# TODO:
# - warnings at compile stage about pointer size on amd64 - needs check
# - build dynamic library, not the static one
#
%define		lang_version	2.00

Summary:	Tesseract Open Source OCR Engine
Summary(pl.UTF-8):	Tesseract - silnik OCR o otwartych źródłach
Name:		tesseract
Version:	2.04
Release:	1
License:	Apache v2.0
Group:		Applications/Graphics
Source0:	http://tesseract-ocr.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	b44eba1a9f4892ac62e484c807fe0533
Source1:	http://tesseract-ocr.googlecode.com/files/%{name}-%{lang_version}.eng.tar.gz
# Source1-md5:	b8291d6b3a63ce7879d688e845e341a9
Source2:	http://tesseract-ocr.googlecode.com/files/%{name}-%{lang_version}.fra.tar.gz
# Source2-md5:	64896b462e62572a3708bb461820126c
Source3:	http://tesseract-ocr.googlecode.com/files/%{name}-%{lang_version}.ita.tar.gz
# Source3-md5:	2759e1dae91a989a43490ff4c2253a4b
Source4:	http://tesseract-ocr.googlecode.com/files/%{name}-%{lang_version}.deu.tar.gz
# Source4-md5:	609d91b1ae3759a756b819b5d8403653
Source5:	http://tesseract-ocr.googlecode.com/files/%{name}-%{lang_version}.spa.tar.gz
# Source5-md5:	bc26a777b2384613895677cb8e61ca75
Source6:	http://tesseract-ocr.googlecode.com/files/%{name}-%{lang_version}.nld.tar.gz
# Source6-md5:	b2f6ede182cea4bbfffd3b040533ce58
Patch0:		%{name}-no-java.patch
Patch1:		%{name}-gcc44.patch
URL:		http://code.google.com/p/tesseract-ocr/
BuildRequires:	automake
BuildRequires:	libtiff-devel
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A commercial quality OCR engine originally developed at HP between
1985 and 1995. In 1995, this engine was among the top 3 evaluated by
UNLV. It was open-sourced by HP and UNLV in 2005.

%description -l pl.UTF-8
Silnik OCR o komercyjnej jakości oryginalnie stworzony przez HP w
latach 1985-1995. W 1995 roku był jednym z 3 najlepszych wg UNLV.
Źródła zostały uwolnione przez HP i UNLV w 2005 roku.

%package lang-de
Summary:	German language data for Tesseract
Summary(pl.UTF-8):	Dane języka niemieckiego dla Tesseracta
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}
Obsoletes:	tesseract-deu

%description lang-de
This package contains the data files required to recognize German
language.

%description lang-de -l pl.UTF-8
Ten pakiet zawiera pliki danych potrzebne do rozpoznawania języka
niemieckiego.

%package lang-en
Summary:	English language data for Tesseract
Summary(pl.UTF-8):	Dane języka angielskiego dla Tesseracta
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}
Obsoletes:	tesseract-eng

%description lang-en
This package contains the data files required to recognize English
language.

%description lang-en -l pl.UTF-8
Ten pakiet zawiera pliki danych potrzebne do rozpoznawania języka
angielskiego.

%package lang-es
Summary:	Spanish language data for Tesseract
Summary(pl.UTF-8):	Dane języka hiszpańskiego dla Tesseracta
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}
Obsoletes:	tesseract-spa

%description lang-es
This package contains the data files required to recognize Spanish
language.

%description lang-es -l pl.UTF-8
Ten pakiet zawiera pliki danych potrzebne do rozpoznawania języka
hiszpańskiego.

%package lang-fr
Summary:	French language data for Tesseract
Summary(pl.UTF-8):	Dane języka francuskiego dla Tesseracta
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}
Obsoletes:	tesseract-fra

%description lang-fr
This package contains the data files required to recognize French
language.

%description lang-fr -l pl.UTF-8
Ten pakiet zawiera pliki danych potrzebne do rozpoznawania języka
francuskiego.

%package lang-it
Summary:	Italian language data for Tesseract
Summary(pl.UTF-8):	Dane języka włoskiego dla Tesseracta
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}
Obsoletes:	tesseract-ita

%description lang-it
This package contains the data files required to recognize Italian
language.

%description lang-it -l pl.UTF-8
Ten pakiet zawiera pliki danych potrzebne do rozpoznawania języka
włoskiego.

%package lang-nl
Summary:	Dutch language data for Tesseract
Summary(pl.UTF-8):	Dane języka holenderskiego dla Tesseracta
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}
Obsoletes:	tesseract-nl

%description lang-nl
This package contains the data files required to recognize Dutch
language.

%description lang-nl -l pl.UTF-8
Ten pakiet zawiera pliki danych potrzebne do rozpoznawania języka
holenderskiego.

%package devel
Summary:	Tesseract - Development header files and libraries
Summary(pl.UTF-8):	Tesseract - Pliki nagłówkowe i biblioteki dla programistów
Group:          Development/Libraries

%description devel
This package contains the development header files and libraries
necessary to develop applications using Tesseract.

%prep
%setup -q
tar xzf %{SOURCE1}
tar xzf %{SOURCE2}
tar xzf %{SOURCE3}
tar xzf %{SOURCE4}
tar xzf %{SOURCE5}
tar xzf %{SOURCE6}
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.sub config
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/cntraining
%attr(755,root,root) %{_bindir}/mftraining
%attr(755,root,root) %{_bindir}/tesseract
%attr(755,root,root) %{_bindir}/unicharset_extractor
%attr(755,root,root) %{_bindir}/wordlist2dawg
%dir %{_datadir}/tessdata
%{_datadir}/tessdata/confsets
%dir %{_datadir}/tessdata/configs
%{_datadir}/tessdata/configs/*
%dir %{_datadir}/tessdata/tessconfigs
%{_datadir}/tessdata/tessconfigs/*

%files lang-de
%defattr(644,root,root,755)
%{_datadir}/tessdata/deu.*

%files lang-en
%defattr(644,root,root,755)
%{_datadir}/tessdata/eng.*

%files lang-es
%defattr(644,root,root,755)
%{_datadir}/tessdata/spa.*

%files lang-fr
%defattr(644,root,root,755)
%{_datadir}/tessdata/fra.*

%files lang-it
%defattr(644,root,root,755)
%{_datadir}/tessdata/ita.*

%files lang-nl
%defattr(644,root,root,755)
%{_datadir}/tessdata/nld.*

%files devel
%defattr(644,root,root,755)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tesseract.spec,v $
Revision 1.22  2009/11/04 16:18:22  sparky
- BR: libstdc++-devel

Revision 1.21  2009/07/25 23:30:37  adamg
- updated to 2.04

Revision 1.20  2009/02/18 12:09:35  jajcus
- Release: 1 (better a bit unfinished, but fully functional, than ancient)

Revision 1.19  2008/12/26 11:05:52  adamg
- fix previous commit msg
- -gcc43, -no-java patches

Revision 1.18  2008/12/26 01:52:48  adamg
- updated to 2.03

Revision 1.17  2008-02-09 21:00:47  qboosh
- unified License format

Revision 1.16  2007-08-31 11:45:09  kosmo
- updated to 2.01

Revision 1.15  2007/08/04 16:12:08  qboosh
- removed obsolete globals patch

Revision 1.14  2007/08/04 15:23:48  qboosh
- leftover

Revision 1.13  2007/08/04 15:17:21  qboosh
- use ISO 639-1 language codes for package names (for distribution consistency)
- non-verbose tar

Revision 1.12  2007/07/30 15:21:40  blues
- general cleanups: group parts in proper places, package headers and
  static libs (dunno if it's needed but who knows), changed lang
  subpackages names, removed duplicate packaging lang files,....

Revision 1.11  2007/07/20 15:01:26  zawadaa
- up to 2.00
- added languages
- now works pretty good (on AC)
- please review - different names for packages?

Revision 1.10  2007/07/17 17:16:23  qboosh
- globals patch is back (updated)

Revision 1.9  2007/07/17 13:40:53  blues
- 1.04b - project has moved to new location; global patch seems to be
  outdated (patched files have dissapeared).
- STBR to AC, previous version doesn't work at all

Revision 1.8  2007/04/05 16:20:18  megabajt
- added globals patch
- release 2

Revision 1.7  2007/02/17 15:34:20  qboosh
- updated to 1.03

Revision 1.6  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.4  2007/01/14 23:20:34  qboosh
- pl

Revision 1.3  2007/01/09 15:34:41  glen
- fix amd64 build; binary not tested

Revision 1.2  2007/01/09 15:26:47  glen
- unify license

Revision 1.1  2007/01/09 15:25:30  glen
- new
